%global srcfile MoonlightSrc
%global icon_path %{buildroot}%{_datarootdir}/icons/hicolor/scalable/apps/

Name:		moonlight-qt
Version:	4.0.0
Release:	1%{?dist}
Summary:	NVIDIA Stream client
License:	GPLv3+
URL:		https://moonlight-stream.org
Source0:	https://github.com/moonlight-stream/moonlight-qt/releases/download/v%{version}/%{srcfile}-%{version}.tar.gz
# Remove bundled library needed for MacOS builds only
Patch0:		remove-h264bitstream.patch

BuildRequires:	openssl-devel
BuildRequires:	SDL2-devel
BuildRequires:	SDL2_ttf-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	qt5-qtsvg-devel
BuildRequires:	qt5-qtquickcontrols2-devel
BuildRequires:	libva-devel
BuildRequires:	libvdpau-devel
BuildRequires:	opus-devel
BuildRequires:	pulseaudio-libs-devel
BuildRequires:	alsa-lib-devel


%description
Open source PC client for NVIDIA GameStream, as used by the NVIDIA Shield.


%prep
%setup -c %{name}-%{version}
%patch0 -p1


%build
qmake-qt5 moonlight-qt.pro
make %{?_smp_mflags} release


%install
# binary
mkdir -p -m755 %{buildroot}%{_bindir}
install -p -m 755 app/moonlight %{buildroot}%{_bindir}
# icon
mkdir -p -m755 %{icon_path}
install -p -m 644 app/res/moonlight.svg %{icon_path}
# desktop file
mkdir -p -m755 %{buildroot}%{_datarootdir}/applications
install -p -m 644 app/deploy/linux/com.moonlight_stream.Moonlight.desktop %{buildroot}%{_datarootdir}/applications/%{name}.desktop

%files
%doc README.md
%license LICENSE
%{_bindir}/moonlight
%{_datadir}/applications/%{name}.desktop
%{_datarootdir}/icons/hicolor/scalable/apps/*
%{_datarootdir}/applications/*

%changelog
* Thu Apr 14 2022 Tomas Smetana <tsmetana@redhat.com> - 4.0.0-1
- Initial packaging attempt
